## com.sun.grizzly
Enum DefaultProtocolChain.Phase

    java.lang.Object
      java.lang.Enum<DefaultProtocolChain.Phase>
          com.sun.grizzly.DefaultProtocolChain.Phase

All Implemented Interfaces:
  Serializable, Comparable<DefaultProtocolChain.Phase>

Enclosing class:
  DefaultProtocolChain

    public static enum DefaultProtocolChain.Phase

extends Enum<DefaultProtocolChain.Phase>

Enum Constant Summary
`EXECUTE`
`POST_EXECUTE`

Method Summary
`static DefaultProtocolChain.Phase` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DefaultProtocolChain.Phase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXECUTE

    public static final DefaultProtocolChain.Phase EXECUTE

### POST_EXECUTE

    public static final DefaultProtocolChain.Phase POST_EXECUTE

Method Detail

### values

    public static DefaultProtocolChain.Phase[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DefaultProtocolChain.Phase c : DefaultProtocolChain.Phase.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DefaultProtocolChain.Phase valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008 SUN Microsystems. All Rights Reserved.